> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all deposit events for a given staker address

> Returns a list of all deposit events for a given staker address.

<Note>
  The default date range between `startAt` and `endAt` is 7 days, with `startAt` set 7 days before `endAt`.

  By default, `endAt` is set to the current timestamp (now).\
  The maximum allowed date range is 30 days.
</Note>


## OpenAPI

````yaml get /stakers/{address}/events/deposit
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /stakers/{address}/events/deposit:
    get:
      tags:
        - Stakers
      summary: Retrieve all deposit events for a given staker address
      description: Returns a list of all deposit events for a given staker address.
      operationId: getStakerDepositEvents
      parameters:
        - in: path
          name: address
          description: The address of the staker
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: The address of the staker
            example: '0xd4fcde9bb1d746Dd7e5463b01Dd819EE06aF25db'
          required: true
        - in: query
          name: txHash
          description: The transaction hash associated with the event
          schema:
            type: string
            pattern: ^0x([A-Fa-f0-9]{64})$
            description: The transaction hash associated with the event
        - in: query
          name: startAt
          description: Start date in ISO string format
          schema:
            type: string
            description: Start date in ISO string format
            example: '2024-11-15T00:00:00.000Z'
        - in: query
          name: endAt
          description: End date in ISO string format
          schema:
            type: string
            description: End date in ISO string format
            example: '2024-12-15T00:00:00.000Z'
        - in: query
          name: tokenAddress
          description: The contract address of the token
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: The contract address of the token
        - in: query
          name: strategyAddress
          description: The contract address of the restaking strategy
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: The contract address of the restaking strategy
        - in: query
          name: withTokenData
          description: >-
            Toggle whether the route should return underlying token address and
            underlying value
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: >-
              Toggle whether the route should return underlying token address
              and underlying value
            example: 'false'
        - in: query
          name: withEthValue
          description: Toggle whether the route should return value denominated in ETH
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should return value denominated in ETH
            example: 'false'
        - in: query
          name: skip
          description: The number of records to skip for pagination
          schema:
            type: string
            default: '0'
            description: The number of records to skip for pagination
            example: 0
        - in: query
          name: take
          description: The number of records to return for pagination
          schema:
            type: string
            default: '12'
            description: The number of records to return for pagination
            example: 12
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The deposit events found for the staker.
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx:
                    type: string
                    description: The transaction hash
                    example: >-
                      0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0
                  blockNumber:
                    type: number
                    description: The block number of the transaction
                    example: 21045085
                  blockTime:
                    type: string
                    description: The block time of the transaction as an ISO 8601 string
                    example: '2024-10-25T20:41:11.000Z'
                  type:
                    type: string
                    enum:
                      - DEPOSIT
                    description: The type of the event
                    example: DEPOSIT
                  args:
                    type: object
                    properties:
                      token:
                        type: string
                        description: The contract address of the token deposited
                        example: '0xec53bf9167f50cdeb3ae105f56099aaab9061f83'
                      strategy:
                        type: string
                        description: The contract address of the restaking strategy
                        example: '0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7'
                      shares:
                        type: number
                        description: >-
                          The amount of new shares given to the staker in this
                          strategy
                        example: 10190000000000000000
                    required:
                      - token
                      - strategy
                      - shares
                  underlyingToken:
                    type: string
                    description: >-
                      The contract address of the token associated with this
                      strategy
                    example: '0xae7ab96520DE3A18E5e111B5EaAb095312D7fE84'
                  underlyingValue:
                    type: number
                    description: The value of the shares in terms of the underlying token
                    example: 5
                  ethValue:
                    type: number
                    description: The value of the shares in ETH
                    example: 1
                required:
                  - tx
                  - blockNumber
                  - blockTime
                  - type
                  - args
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````